local soundsetutil = require "soundsetutil"

local randomEventNames = {
	"silence.wav",
	"silence.wav"
}

function data()

local data = soundsetutil.makeSoundSet()

soundsetutil.addTrackParam01(data, "silence.wav", 0.0,
		{ { .0, .5 } }, { { .0, 0.7 } }, "crowd01")
		
soundsetutil.addTrackParam01(data, "silence.wav", 0.0,
		{ { .0, .0 }, { 1.0, 1.0 } }, { { .0, 1.0 } }, "crowd01")

soundsetutil.addEventParam01(data, "random32", randomEventNames, 50.0,
		{ { .33, 1.0 }, { .34, .0 } }, { { .0, 1.0 } }, "crowd01")
		
soundsetutil.addEventParam01(data, "random16", randomEventNames, 50.0,
		{ { 0.33, 0.0 }, { 0.34, 1.0 }, { 0.66, 1.0 }, { 0.67, 0.0 } }, { { .0, 1.0 } }, "crowd01")
		
soundsetutil.addEventParam01(data, "random8", randomEventNames, 50.0,
		{ { 0.66, 0.0 }, { 0.67, 1.0 } }, { { .0, 1.0 } }, "crowd01")

return data

end