﻿function data()
	return {
		info = {
			minorVersion = 3,
			severityAdd = "NONE",
			severityRemove = "NONE",
			name = _("No ambient bonus sounds"),
			description = _("All 'special' ambient sounds are muted. Your airport got one runway? Why does it sound like it got three? Your train station got no train actually and 25 people waiting? Why does it sound like there are seven trains and 700 people? Stop all that."),
			authors = { 
				{
					name = "Gordon Dry",
					role = "CREATOR",
				}
			},
			tags = { "sound" },
			visible = true			
		},
		options = {
		},
		runFn = function(settings)
			game.config.audio.environment.atmosphere.name = 'silence.wav'
			game.config.audio.environment.birds.name = 'silence.wav'
			game.config.audio.environment.crowd.name = 'silence.wav'
			game.config.audio.environment.traffic1850.name = 'silence.wav'
			game.config.audio.environment.traffic1920.name = 'silence.wav'
			game.config.audio.environment.traffic1990.name = 'silence.wav'
		end
	}
end